Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Print ]
ID Category Severity Date Submitted Last Update
0010011 [WARP Appliance] misc high 2012-02-29 14:11 2013-03-19 11:19
Reporter awayte View Status public  
Assigned To
Priority Scheduled Resolution pv pass Platform
Status closed   OS
Projection none   OS Version
Fixed in Version 3.0.2 Product Version 3.0.1
  Target Version 3.0.2 Product Build
Summary 0010011: Iptables Package Not Being Installed Properly
Description Customer installed Webmin and iptables through the add on section in FreePBX. The following error is encountered when access to 'Linux Firewall' is attempted through Webmin:

FATAL: Module ip_tables not found.
iptables v1.4.8: can't initialize iptables table `filter': iptables who? (do you need to insmod?)
Perhaps iptables or your kernel needs to be upgraded.

This is also encountered through the sell when executing iptables. Performing a 'depmod -a' to update the module databases seems to correct the issue.
Steps To Reproduce
Additional Information Version info:

ii warpamprep 1.0.27415-4
ii warpasterisk 1.8.9.0-2
ii warpbasefiles 3.0.1-5
ii warpchangsm 1.0.27916-2
ii warpdahdi 2.5.0.2+2.5.0.2-17
ii warpdspctl 1.0.1-3
ii warpdsplm 1.0.1-1
ii warpfailsafe 1.0.28030-1
ii warpfpga 1.0.4001-4
ii warpiptables 1.0.0-1
ii warpkernel 2.6.39.2-5
ii warpkernel-mod-iptables 2.6.39.2-5
ii warpliblcd 1.0.27364-1
ii warpmodalsa 1.0.26268-8
ii warpmodbootcount 1.0.26664-5
ii warpmoddsp 1.0.27492-4
ii warpmodgsm 1.0.26345-9
ii warpmodlcd 1.0.27364-3
ii warpscripts 1.0.27993-1
ii warpuboot 1.3.2-130-1
ii warputils 2.0.27005-2

ii iptables 1.4.8-3
ii iptables-persistent 0.0.20100801
ii warpiptables 1.0.0-1
ii warpkernel-mod-iptables 2.6.39.2-5

ii webmin 1.580

          
Tags BLANK
Reported by Customer Yes
Type Bug
Attached Files

- Relationships

-  Notes
(0044988)
skarow (administrator)
2012-03-01 12:10

svn revision: 28164 (fixed)

-= Comment =-
Make sure we call depmod after install the iptables kernel modules.

  -= SvnPaths =-
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/build-warpiptables.sh [^]
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/debian/changelog [^]
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/debian/warpiptables.postinst [^]
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpkernel/build-warpkernel.sh [^]
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpkernel/debian/warpkernel-mod-iptables.postinst [^]

  -= ViewVC =-

http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/build-warpiptables.sh?r1=28164&r2=28163&pathrev=28164 [^]
http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/debian/changelog?r1=28164&r2=28163&pathrev=28164 [^]
http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpiptables/debian/warpiptables.postinst?r1=28164&r2=28163&pathrev=28164 [^]
http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpkernel/build-warpkernel.sh?r1=28164&r2=28163&pathrev=28164 [^]
http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpkernel/debian/warpkernel-mod-iptables.postinst?r1=28164&r2=28163&pathrev=28164 [^]
(0044989)
skarow (administrator)
2012-03-01 12:14

This is fixed with warpiptables package version 1.0.0-2 and warpkernel-mod-iptables package version 2.6.39.2-6
(0044990)
skarow (administrator)
2012-03-01 12:15

To manually work around this system on currently installed systems you just need to run the following at the CLI.

root@openwarp:~# depmod -a -F /boot/System.map-2.6.39.2-pika 2.6.39.2-pika


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker